# MappingLoop

## `MappingLoop`

A MappingLoop supports an iteration of mapping invocations.

syntax: `for name : type in expression {...}`

conformsTo `MappingStatement` , `ObservableStatement`

Attributes

`ownedIterators : OrderedSet(qvtimperative::LoopVariable)[*|1]`

The iterator loop variable.

`ownedMappingStatements : OrderedSet(qvtimperative::MappingStatement)[*|1]`

The statements to be iterated, typically a single MappingCall.

Associations

`ownedExpression : OCLExpression[1]`

The expression whose values provide the iterator values.